HelpLightning API v1.0.0
Scroll down for code samples, example requests and responses. Select a language for code samples from the tabs above or the mobile navigation menu.
Help Lightning RESTful API Specification
Base URLs:
License: Commercial
Authentication
API Key (ApiKey)
- Parameter Name: x-helplightning-api-key, in: header.
API Key (AuthenticationToken)
- Parameter Name: Authorization, in: header.
Authentication
Endpoints for login, token exchange, and more
POST _v1_anonymous_auth
Code samples
# You can also use wget
curl -X POST https://api.helplightning.net/api/v1/anonymous/auth \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Authorization: API_KEY'
POST https://api.helplightning.net/api/v1/anonymous/auth HTTP/1.1
Host: api.helplightning.net
Content-Type: application/json
Accept: application/json
const inputBody = '{
"display_name": "string"
}';
const headers = {
'Content-Type':'application/json',
'Accept':'application/json',
'Authorization':'API_KEY'
};
fetch('https://api.helplightning.net/api/v1/anonymous/auth',
{
method: 'POST',
body: inputBody,
headers: headers
})
.then(function(res) {
return res.json();
}).then(function(body) {
console.log(body);
});
require 'rest-client'
require 'json'
headers = {
'Content-Type' => 'application/json',
'Accept' => 'application/json',
'Authorization' => 'API_KEY'
}
result = RestClient.post 'https://api.helplightning.net/api/v1/anonymous/auth',
params: {
}, headers: headers
p JSON.parse(result)
import requests
headers = {
'Content-Type': 'application/json',
'Accept': 'application/json',
'Authorization': 'API_KEY'
}
r = requests.post('https://api.helplightning.net/api/v1/anonymous/auth', headers = headers)
print(r.json())
<?php
require 'vendor/autoload.php';
$headers = array(
'Content-Type' => 'application/json',
'Accept' => 'application/json',
'Authorization' => 'API_KEY',
);
$client = new \GuzzleHttp\Client();
// Define array of request body.
$request_body = array();
try {
$response = $client->request('POST','https://api.helplightning.net/api/v1/anonymous/auth', array(
'headers' => $headers,
'json' => $request_body,
)
);
print_r($response->getBody()->getContents());
}
catch (\GuzzleHttp\Exception\BadResponseException $e) {
// handle exception or api errors.
print_r($e->getMessage());
}
// ...
URL obj = new URL("https://api.helplightning.net/api/v1/anonymous/auth");
HttpURLConnection con = (HttpURLConnection) obj.openConnection();
con.setRequestMethod("POST");
int responseCode = con.getResponseCode();
BufferedReader in = new BufferedReader(
new InputStreamReader(con.getInputStream()));
String inputLine;
StringBuffer response = new StringBuffer();
while ((inputLine = in.readLine()) != null) {
response.append(inputLine);
}
in.close();
System.out.println(response.toString());
package main
import (
"bytes"
"net/http"
)
func main() {
headers := map[string][]string{
"Content-Type": []string{"application/json"},
"Accept": []string{"application/json"},
"Authorization": []string{"API_KEY"},
}
data := bytes.NewBuffer([]byte{jsonReq})
req, err := http.NewRequest("POST", "https://api.helplightning.net/api/v1/anonymous/auth", data)
req.Header = headers
client := &http.Client{}
resp, err := client.Do(req)
// ...
}
POST /v1/anonymous/auth
Authenticate and get an anonymous user token
Body parameter
{
"display_name": "string"
}
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
| body | body | object | false | none |
| » display_name | body | string | false | Display name of the anonymous user |
Example responses
200 Response
{
"token": "string"
}
Responses
| Status | Meaning | Description | Schema |
|---|---|---|---|
| 200 | OK | Successful | Inline |
| 401 | Unauthorized | Unauthorized, login credentials invalid | errorV1 |
| 500 | Internal Server Error | Internal error | errorV1 |
Response Schema
Status Code 200
| Name | Type | Required | Restrictions | Description |
|---|---|---|---|---|
| » token | string | false | none | Anonymous user token |
POST _v1_auth
Code samples
# You can also use wget
curl -X POST https://api.helplightning.net/api/v1/auth \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Authorization: API_KEY'
POST https://api.helplightning.net/api/v1/auth HTTP/1.1
Host: api.helplightning.net
Content-Type: application/json
Accept: application/json
const inputBody = '{
"email": "string",
"password": "string"
}';
const headers = {
'Content-Type':'application/json',
'Accept':'application/json',
'Authorization':'API_KEY'
};
fetch('https://api.helplightning.net/api/v1/auth',
{
method: 'POST',
body: inputBody,
headers: headers
})
.then(function(res) {
return res.json();
}).then(function(body) {
console.log(body);
});
require 'rest-client'
require 'json'
headers = {
'Content-Type' => 'application/json',
'Accept' => 'application/json',
'Authorization' => 'API_KEY'
}
result = RestClient.post 'https://api.helplightning.net/api/v1/auth',
params: {
}, headers: headers
p JSON.parse(result)
import requests
headers = {
'Content-Type': 'application/json',
'Accept': 'application/json',
'Authorization': 'API_KEY'
}
r = requests.post('https://api.helplightning.net/api/v1/auth', headers = headers)
print(r.json())
<?php
require 'vendor/autoload.php';
$headers = array(
'Content-Type' => 'application/json',
'Accept' => 'application/json',
'Authorization' => 'API_KEY',
);
$client = new \GuzzleHttp\Client();
// Define array of request body.
$request_body = array();
try {
$response = $client->request('POST','https://api.helplightning.net/api/v1/auth', array(
'headers' => $headers,
'json' => $request_body,
)
);
print_r($response->getBody()->getContents());
}
catch (\GuzzleHttp\Exception\BadResponseException $e) {
// handle exception or api errors.
print_r($e->getMessage());
}
// ...
URL obj = new URL("https://api.helplightning.net/api/v1/auth");
HttpURLConnection con = (HttpURLConnection) obj.openConnection();
con.setRequestMethod("POST");
int responseCode = con.getResponseCode();
BufferedReader in = new BufferedReader(
new InputStreamReader(con.getInputStream()));
String inputLine;
StringBuffer response = new StringBuffer();
while ((inputLine = in.readLine()) != null) {
response.append(inputLine);
}
in.close();
System.out.println(response.toString());
package main
import (
"bytes"
"net/http"
)
func main() {
headers := map[string][]string{
"Content-Type": []string{"application/json"},
"Accept": []string{"application/json"},
"Authorization": []string{"API_KEY"},
}
data := bytes.NewBuffer([]byte{jsonReq})
req, err := http.NewRequest("POST", "https://api.helplightning.net/api/v1/auth", data)
req.Header = headers
client := &http.Client{}
resp, err := client.Do(req)
// ...
}
POST /v1/auth
Exchanges login credentials for an authorization token
Body parameter
{
"email": "string",
"password": "string"
}
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
| body | body | object | true | none |
| » email | body | string | true | Email or username for user credentials |
| » password | body | string | true | User's password |
Example responses
200 Response
{
"refresh": "string",
"token": "string"
}
Responses
| Status | Meaning | Description | Schema |
|---|---|---|---|
| 200 | OK | Login successful, authorization token is returned in the body | refresh_tokenV1 |
| 401 | Unauthorized | Unauthorized, login credentials invalid | errorV1 |
| 500 | Internal Server Error | Internal error | errorV1 |
POST _v1_auth_exchange
Code samples
# You can also use wget
curl -X POST https://api.helplightning.net/api/v1/auth/exchange \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Authorization: API_KEY'
POST https://api.helplightning.net/api/v1/auth/exchange HTTP/1.1
Host: api.helplightning.net
Content-Type: application/json
Accept: application/json
const inputBody = '{
"refresh_token": "string"
}';
const headers = {
'Content-Type':'application/json',
'Accept':'application/json',
'Authorization':'API_KEY'
};
fetch('https://api.helplightning.net/api/v1/auth/exchange',
{
method: 'POST',
body: inputBody,
headers: headers
})
.then(function(res) {
return res.json();
}).then(function(body) {
console.log(body);
});
require 'rest-client'
require 'json'
headers = {
'Content-Type' => 'application/json',
'Accept' => 'application/json',
'Authorization' => 'API_KEY'
}
result = RestClient.post 'https://api.helplightning.net/api/v1/auth/exchange',
params: {
}, headers: headers
p JSON.parse(result)
import requests
headers = {
'Content-Type': 'application/json',
'Accept': 'application/json',
'Authorization': 'API_KEY'
}
r = requests.post('https://api.helplightning.net/api/v1/auth/exchange', headers = headers)
print(r.json())
<?php
require 'vendor/autoload.php';
$headers = array(
'Content-Type' => 'application/json',
'Accept' => 'application/json',
'Authorization' => 'API_KEY',
);
$client = new \GuzzleHttp\Client();
// Define array of request body.
$request_body = array();
try {
$response = $client->request('POST','https://api.helplightning.net/api/v1/auth/exchange', array(
'headers' => $headers,
'json' => $request_body,
)
);
print_r($response->getBody()->getContents());
}
catch (\GuzzleHttp\Exception\BadResponseException $e) {
// handle exception or api errors.
print_r($e->getMessage());
}
// ...
URL obj = new URL("https://api.helplightning.net/api/v1/auth/exchange");
HttpURLConnection con = (HttpURLConnection) obj.openConnection();
con.setRequestMethod("POST");
int responseCode = con.getResponseCode();
BufferedReader in = new BufferedReader(
new InputStreamReader(con.getInputStream()));
String inputLine;
StringBuffer response = new StringBuffer();
while ((inputLine = in.readLine()) != null) {
response.append(inputLine);
}
in.close();
System.out.println(response.toString());
package main
import (
"bytes"
"net/http"
)
func main() {
headers := map[string][]string{
"Content-Type": []string{"application/json"},
"Accept": []string{"application/json"},
"Authorization": []string{"API_KEY"},
}
data := bytes.NewBuffer([]byte{jsonReq})
req, err := http.NewRequest("POST", "https://api.helplightning.net/api/v1/auth/exchange", data)
req.Header = headers
client := &http.Client{}
resp, err := client.Do(req)
// ...
}
POST /v1/auth/exchange
Exchange a token for an alias with the login user. This is used for workspace migrations.
Body parameter
{
"refresh_token": "string"
}
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
| body | body | object | true | none |
| » refresh_token | body | string | true | Refresh token for the user alias, from the user_authenticate method. |
Example responses
200 Response
{
"refresh": "string",
"token": "string"
}
Responses
| Status | Meaning | Description | Schema |
|---|---|---|---|
| 200 | OK | Login successful, authorization token is returned in the body | refresh_tokenV1 |
| 401 | Unauthorized | Unauthorized, login credentials invalid | errorV1 |
| 500 | Internal Server Error | Internal error | errorV1 |
POST _v1_auth_refresh
Code samples
# You can also use wget
curl -X POST https://api.helplightning.net/api/v1/auth/refresh \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Authorization: API_KEY'
POST https://api.helplightning.net/api/v1/auth/refresh HTTP/1.1
Host: api.helplightning.net
Content-Type: application/json
Accept: application/json
const inputBody = '{
"refresh_token": "string"
}';
const headers = {
'Content-Type':'application/json',
'Accept':'application/json',
'Authorization':'API_KEY'
};
fetch('https://api.helplightning.net/api/v1/auth/refresh',
{
method: 'POST',
body: inputBody,
headers: headers
})
.then(function(res) {
return res.json();
}).then(function(body) {
console.log(body);
});
require 'rest-client'
require 'json'
headers = {
'Content-Type' => 'application/json',
'Accept' => 'application/json',
'Authorization' => 'API_KEY'
}
result = RestClient.post 'https://api.helplightning.net/api/v1/auth/refresh',
params: {
}, headers: headers
p JSON.parse(result)
import requests
headers = {
'Content-Type': 'application/json',
'Accept': 'application/json',
'Authorization': 'API_KEY'
}
r = requests.post('https://api.helplightning.net/api/v1/auth/refresh', headers = headers)
print(r.json())
<?php
require 'vendor/autoload.php';
$headers = array(
'Content-Type' => 'application/json',
'Accept' => 'application/json',
'Authorization' => 'API_KEY',
);
$client = new \GuzzleHttp\Client();
// Define array of request body.
$request_body = array();
try {
$response = $client->request('POST','https://api.helplightning.net/api/v1/auth/refresh', array(
'headers' => $headers,
'json' => $request_body,
)
);
print_r($response->getBody()->getContents());
}
catch (\GuzzleHttp\Exception\BadResponseException $e) {
// handle exception or api errors.
print_r($e->getMessage());
}
// ...
URL obj = new URL("https://api.helplightning.net/api/v1/auth/refresh");
HttpURLConnection con = (HttpURLConnection) obj.openConnection();
con.setRequestMethod("POST");
int responseCode = con.getResponseCode();
BufferedReader in = new BufferedReader(
new InputStreamReader(con.getInputStream()));
String inputLine;
StringBuffer response = new StringBuffer();
while ((inputLine = in.readLine()) != null) {
response.append(inputLine);
}
in.close();
System.out.println(response.toString());
package main
import (
"bytes"
"net/http"
)
func main() {
headers := map[string][]string{
"Content-Type": []string{"application/json"},
"Accept": []string{"application/json"},
"Authorization": []string{"API_KEY"},
}
data := bytes.NewBuffer([]byte{jsonReq})
req, err := http.NewRequest("POST", "https://api.helplightning.net/api/v1/auth/refresh", data)
req.Header = headers
client := &http.Client{}
resp, err := client.Do(req)
// ...
}
POST /v1/auth/refresh
Regenerate a user token and refresh token
Body parameter
{
"refresh_token": "string"
}
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
| body | body | object | true | none |
| » refresh_token | body | string | true | Refresh token for the user, from the user_authenticate method. |
Example responses
200 Response
{
"refresh": "string",
"token": "string"
}
Responses
| Status | Meaning | Description | Schema |
|---|---|---|---|
| 200 | OK | Login successful, authorization token is returned in the body | refresh_tokenV1 |
| 401 | Unauthorized | Unauthorized, login credentials invalid | errorV1 |
| 500 | Internal Server Error | Internal error | errorV1 |
POST _v1_enterprise_auth
Code samples
# You can also use wget
curl -X POST https://api.helplightning.net/api/v1/enterprise/auth \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Authorization: API_KEY'
POST https://api.helplightning.net/api/v1/enterprise/auth HTTP/1.1
Host: api.helplightning.net
Content-Type: application/json
Accept: application/json
const inputBody = '{
"email": "string",
"password": "string"
}';
const headers = {
'Content-Type':'application/json',
'Accept':'application/json',
'Authorization':'API_KEY'
};
fetch('https://api.helplightning.net/api/v1/enterprise/auth',
{
method: 'POST',
body: inputBody,
headers: headers
})
.then(function(res) {
return res.json();
}).then(function(body) {
console.log(body);
});
require 'rest-client'
require 'json'
headers = {
'Content-Type' => 'application/json',
'Accept' => 'application/json',
'Authorization' => 'API_KEY'
}
result = RestClient.post 'https://api.helplightning.net/api/v1/enterprise/auth',
params: {
}, headers: headers
p JSON.parse(result)
import requests
headers = {
'Content-Type': 'application/json',
'Accept': 'application/json',
'Authorization': 'API_KEY'
}
r = requests.post('https://api.helplightning.net/api/v1/enterprise/auth', headers = headers)
print(r.json())
<?php
require 'vendor/autoload.php';
$headers = array(
'Content-Type' => 'application/json',
'Accept' => 'application/json',
'Authorization' => 'API_KEY',
);
$client = new \GuzzleHttp\Client();
// Define array of request body.
$request_body = array();
try {
$response = $client->request('POST','https://api.helplightning.net/api/v1/enterprise/auth', array(
'headers' => $headers,
'json' => $request_body,
)
);
print_r($response->getBody()->getContents());
}
catch (\GuzzleHttp\Exception\BadResponseException $e) {
// handle exception or api errors.
print_r($e->getMessage());
}
// ...
URL obj = new URL("https://api.helplightning.net/api/v1/enterprise/auth");
HttpURLConnection con = (HttpURLConnection) obj.openConnection();
con.setRequestMethod("POST");
int responseCode = con.getResponseCode();
BufferedReader in = new BufferedReader(
new InputStreamReader(con.getInputStream()));
String inputLine;
StringBuffer response = new StringBuffer();
while ((inputLine = in.readLine()) != null) {
response.append(inputLine);
}
in.close();
System.out.println(response.toString());
package main
import (
"bytes"
"net/http"
)
func main() {
headers := map[string][]string{
"Content-Type": []string{"application/json"},
"Accept": []string{"application/json"},
"Authorization": []string{"API_KEY"},
}
data := bytes.NewBuffer([]byte{jsonReq})
req, err := http.NewRequest("POST", "https://api.helplightning.net/api/v1/enterprise/auth", data)
req.Header = headers
client := &http.Client{}
resp, err := client.Do(req)
// ...
}
POST /v1/enterprise/auth
Exchanges login credentials for an enterprise authorization token
Body parameter
{
"email": "string",
"password": "string"
}
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
| body | body | object | true | none |
| » email | body | string | true | Email or username for user credentials |
| » password | body | string | true | User's password |
Example responses
200 Response
"string"
Responses
| Status | Meaning | Description | Schema |
|---|---|---|---|
| 200 | OK | Login successful, enterprise authorization token is returned in the body | string |
| 401 | Unauthorized | Unauthorized, login credentials invalid | errorV1 |
| 500 | Internal Server Error | Internal error | errorV1 |
GET _v1_token_info
Code samples
# You can also use wget
curl -X GET https://api.helplightning.net/api/v1/token/info \
-H 'Accept: application/json' \
-H 'Authorization: API_KEY'
GET https://api.helplightning.net/api/v1/token/info HTTP/1.1
Host: api.helplightning.net
Accept: application/json
const headers = {
'Accept':'application/json',
'Authorization':'API_KEY'
};
fetch('https://api.helplightning.net/api/v1/token/info',
{
method: 'GET',
headers: headers
})
.then(function(res) {
return res.json();
}).then(function(body) {
console.log(body);
});
require 'rest-client'
require 'json'
headers = {
'Accept' => 'application/json',
'Authorization' => 'API_KEY'
}
result = RestClient.get 'https://api.helplightning.net/api/v1/token/info',
params: {
}, headers: headers
p JSON.parse(result)
import requests
headers = {
'Accept': 'application/json',
'Authorization': 'API_KEY'
}
r = requests.get('https://api.helplightning.net/api/v1/token/info', headers = headers)
print(r.json())
<?php
require 'vendor/autoload.php';
$headers = array(
'Accept' => 'application/json',
'Authorization' => 'API_KEY',
);
$client = new \GuzzleHttp\Client();
// Define array of request body.
$request_body = array();
try {
$response = $client->request('GET','https://api.helplightning.net/api/v1/token/info', array(
'headers' => $headers,
'json' => $request_body,
)
);
print_r($response->getBody()->getContents());
}
catch (\GuzzleHttp\Exception\BadResponseException $e) {
// handle exception or api errors.
print_r($e->getMessage());
}
// ...
URL obj = new URL("https://api.helplightning.net/api/v1/token/info");
HttpURLConnection con = (HttpURLConnection) obj.openConnection();
con.setRequestMethod("GET");
int responseCode = con.getResponseCode();
BufferedReader in = new BufferedReader(
new InputStreamReader(con.getInputStream()));
String inputLine;
StringBuffer response = new StringBuffer();
while ((inputLine = in.readLine()) != null) {
response.append(inputLine);
}
in.close();
System.out.println(response.toString());
package main
import (
"bytes"
"net/http"
)
func main() {
headers := map[string][]string{
"Accept": []string{"application/json"},
"Authorization": []string{"API_KEY"},
}
data := bytes.NewBuffer([]byte{jsonReq})
req, err := http.NewRequest("GET", "https://api.helplightning.net/api/v1/token/info", data)
req.Header = headers
client := &http.Client{}
resp, err := client.Do(req)
// ...
}
GET /v1/token/info
Gets information about some token
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
| token | query | string | false | Token to get information about |
Example responses
200 Response
{
"created_at": 0,
"data": "string",
"expires_at": 0,
"issuer": "string",
"permissions": [
"string"
],
"status": "string"
}
Responses
| Status | Meaning | Description | Schema |
|---|---|---|---|
| 200 | OK | Success, returns information about the token. | token_info |
| 401 | Unauthorized | Could not find resource or you do not have access to the resource. | errorV1 |
| 500 | Internal Server Error | Internal error | errorV1 |
GET _v1_token_validate
Code samples
# You can also use wget
curl -X GET https://api.helplightning.net/api/v1/token/validate \
-H 'Accept: application/json' \
-H 'Authorization: API_KEY'
GET https://api.helplightning.net/api/v1/token/validate HTTP/1.1
Host: api.helplightning.net
Accept: application/json
const headers = {
'Accept':'application/json',
'Authorization':'API_KEY'
};
fetch('https://api.helplightning.net/api/v1/token/validate',
{
method: 'GET',
headers: headers
})
.then(function(res) {
return res.json();
}).then(function(body) {
console.log(body);
});
require 'rest-client'
require 'json'
headers = {
'Accept' => 'application/json',
'Authorization' => 'API_KEY'
}
result = RestClient.get 'https://api.helplightning.net/api/v1/token/validate',
params: {
}, headers: headers
p JSON.parse(result)
import requests
headers = {
'Accept': 'application/json',
'Authorization': 'API_KEY'
}
r = requests.get('https://api.helplightning.net/api/v1/token/validate', headers = headers)
print(r.json())
<?php
require 'vendor/autoload.php';
$headers = array(
'Accept' => 'application/json',
'Authorization' => 'API_KEY',
);
$client = new \GuzzleHttp\Client();
// Define array of request body.
$request_body = array();
try {
$response = $client->request('GET','https://api.helplightning.net/api/v1/token/validate', array(
'headers' => $headers,
'json' => $request_body,
)
);
print_r($response->getBody()->getContents());
}
catch (\GuzzleHttp\Exception\BadResponseException $e) {
// handle exception or api errors.
print_r($e->getMessage());
}
// ...
URL obj = new URL("https://api.helplightning.net/api/v1/token/validate");
HttpURLConnection con = (HttpURLConnection) obj.openConnection();
con.setRequestMethod("GET");
int responseCode = con.getResponseCode();
BufferedReader in = new BufferedReader(
new InputStreamReader(con.getInputStream()));
String inputLine;
StringBuffer response = new StringBuffer();
while ((inputLine = in.readLine()) != null) {
response.append(inputLine);
}
in.close();
System.out.println(response.toString());
package main
import (
"bytes"
"net/http"
)
func main() {
headers := map[string][]string{
"Accept": []string{"application/json"},
"Authorization": []string{"API_KEY"},
}
data := bytes.NewBuffer([]byte{jsonReq})
req, err := http.NewRequest("GET", "https://api.helplightning.net/api/v1/token/validate", data)
req.Header = headers
client := &http.Client{}
resp, err := client.Do(req)
// ...
}
GET /v1/token/validate
Validates a token
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
| token | query | string | false | Token to validate |
| resource_type | query | string | false | Resource type, such as user, enterprise, invitation |
| permission_category | query | string | false | Permission category to check. For example, owner, employee, etc. |
| permission_list | query | array[string] | false | Specific permissions to check. For example, view_contacts, view_account |
Example responses
200 Response
{
"created_at": 0,
"data": "string",
"expires_at": 0,
"id": "string",
"issuer": "string",
"permissions": [
"string"
],
"status": "string",
"type": "string"
}
Responses
| Status | Meaning | Description | Schema |
|---|---|---|---|
| 200 | OK | Success, returns ok. | validated_token_info |
| 401 | Unauthorized | Could not find resource or you do not have access to the resource. | errorV1 |
| 500 | Internal Server Error | Internal error | errorV1 |
POST _v1r1_auth
Code samples
# You can also use wget
curl -X POST https://api.helplightning.net/api/v1r1/auth \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Authorization: API_KEY'
POST https://api.helplightning.net/api/v1r1/auth HTTP/1.1
Host: api.helplightning.net
Content-Type: application/json
Accept: application/json
const inputBody = '{
"email": "string",
"password": "string"
}';
const headers = {
'Content-Type':'application/json',
'Accept':'application/json',
'Authorization':'API_KEY'
};
fetch('https://api.helplightning.net/api/v1r1/auth',
{
method: 'POST',
body: inputBody,
headers: headers
})
.then(function(res) {
return res.json();
}).then(function(body) {
console.log(body);
});
require 'rest-client'
require 'json'
headers = {
'Content-Type' => 'application/json',
'Accept' => 'application/json',
'Authorization' => 'API_KEY'
}
result = RestClient.post 'https://api.helplightning.net/api/v1r1/auth',
params: {
}, headers: headers
p JSON.parse(result)
import requests
headers = {
'Content-Type': 'application/json',
'Accept': 'application/json',
'Authorization': 'API_KEY'
}
r = requests.post('https://api.helplightning.net/api/v1r1/auth', headers = headers)
print(r.json())
<?php
require 'vendor/autoload.php';
$headers = array(
'Content-Type' => 'application/json',
'Accept' => 'application/json',
'Authorization' => 'API_KEY',
);
$client = new \GuzzleHttp\Client();
// Define array of request body.
$request_body = array();
try {
$response = $client->request('POST','https://api.helplightning.net/api/v1r1/auth', array(
'headers' => $headers,
'json' => $request_body,
)
);
print_r($response->getBody()->getContents());
}
catch (\GuzzleHttp\Exception\BadResponseException $e) {
// handle exception or api errors.
print_r($e->getMessage());
}
// ...
URL obj = new URL("https://api.helplightning.net/api/v1r1/auth");
HttpURLConnection con = (HttpURLConnection) obj.openConnection();
con.setRequestMethod("POST");
int responseCode = con.getResponseCode();
BufferedReader in = new BufferedReader(
new InputStreamReader(con.getInputStream()));
String inputLine;
StringBuffer response = new StringBuffer();
while ((inputLine = in.readLine()) != null) {
response.append(inputLine);
}
in.close();
System.out.println(response.toString());
package main
import (
"bytes"
"net/http"
)
func main() {
headers := map[string][]string{
"Content-Type": []string{"application/json"},
"Accept": []string{"application/json"},
"Authorization": []string{"API_KEY"},
}
data := bytes.NewBuffer([]byte{jsonReq})
req, err := http.NewRequest("POST", "https://api.helplightning.net/api/v1r1/auth", data)
req.Header = headers
client := &http.Client{}
resp, err := client.Do(req)
// ...
}
POST /v1r1/auth
Exchanges login credentials for an authorization token
Body parameter
{
"email": "string",
"password": "string"
}
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
| body | body | object | true | none |
| » email | body | string | true | Email or username for user credentials |
| » password | body | string | true | User's password |
Example responses
200 Response
{
"refresh": "string",
"token": "string"
}
Responses
| Status | Meaning | Description | Schema |
|---|---|---|---|
| 200 | OK | Login successful, authorization token is returned in the body | refresh_tokenV1 |
| 400 | Bad Request | A generic error response | errorV1R1 |
POST _v1r1_auth_from_url
Code samples
# You can also use wget
curl -X POST https://api.helplightning.net/api/v1r1/auth/from_url \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Authorization: API_KEY'
POST https://api.helplightning.net/api/v1r1/auth/from_url HTTP/1.1
Host: api.helplightning.net
Content-Type: application/json
Accept: application/json
const inputBody = '{
"link_url": "string"
}';
const headers = {
'Content-Type':'application/json',
'Accept':'application/json',
'Authorization':'API_KEY'
};
fetch('https://api.helplightning.net/api/v1r1/auth/from_url',
{
method: 'POST',
body: inputBody,
headers: headers
})
.then(function(res) {
return res.json();
}).then(function(body) {
console.log(body);
});
require 'rest-client'
require 'json'
headers = {
'Content-Type' => 'application/json',
'Accept' => 'application/json',
'Authorization' => 'API_KEY'
}
result = RestClient.post 'https://api.helplightning.net/api/v1r1/auth/from_url',
params: {
}, headers: headers
p JSON.parse(result)
import requests
headers = {
'Content-Type': 'application/json',
'Accept': 'application/json',
'Authorization': 'API_KEY'
}
r = requests.post('https://api.helplightning.net/api/v1r1/auth/from_url', headers = headers)
print(r.json())
<?php
require 'vendor/autoload.php';
$headers = array(
'Content-Type' => 'application/json',
'Accept' => 'application/json',
'Authorization' => 'API_KEY',
);
$client = new \GuzzleHttp\Client();
// Define array of request body.
$request_body = array();
try {
$response = $client->request('POST','https://api.helplightning.net/api/v1r1/auth/from_url', array(
'headers' => $headers,
'json' => $request_body,
)
);
print_r($response->getBody()->getContents());
}
catch (\GuzzleHttp\Exception\BadResponseException $e) {
// handle exception or api errors.
print_r($e->getMessage());
}
// ...
URL obj = new URL("https://api.helplightning.net/api/v1r1/auth/from_url");
HttpURLConnection con = (HttpURLConnection) obj.openConnection();
con.setRequestMethod("POST");
int responseCode = con.getResponseCode();
BufferedReader in = new BufferedReader(
new InputStreamReader(con.getInputStream()));
String inputLine;
StringBuffer response = new StringBuffer();
while ((inputLine = in.readLine()) != null) {
response.append(inputLine);
}
in.close();
System.out.println(response.toString());
package main
import (
"bytes"
"net/http"
)
func main() {
headers := map[string][]string{
"Content-Type": []string{"application/json"},
"Accept": []string{"application/json"},
"Authorization": []string{"API_KEY"},
}
data := bytes.NewBuffer([]byte{jsonReq})
req, err := http.NewRequest("POST", "https://api.helplightning.net/api/v1r1/auth/from_url", data)
req.Header = headers
client := &http.Client{}
resp, err := client.Do(req)
// ...
}
POST /v1r1/auth/from_url
Uses a workbox invite url to get user authorization information
Body parameter
{
"link_url": "string"
}
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
| body | body | object | true | none |
| » link_url | body | string | false | The workbox invite url |
Example responses
200 Response
{
"refresh": "string",
"token": "string"
}
Responses
| Status | Meaning | Description | Schema |
|---|---|---|---|
| 200 | OK | Login successful, authorization and refresh token is returned in the body | refresh_tokenV1 |
| 400 | Bad Request | A generic error response | errorV1R1 |
Personal Access Tokens
Endpoints for using and managing Personal Access Tokens (PAT)
POST _v1r1_auth_pat
Code samples
# You can also use wget
curl -X POST https://api.helplightning.net/api/v1r1/auth/pat \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Authorization: API_KEY'
POST https://api.helplightning.net/api/v1r1/auth/pat HTTP/1.1
Host: api.helplightning.net
Content-Type: application/json
Accept: application/json
const inputBody = '{
"token": "string"
}';
const headers = {
'Content-Type':'application/json',
'Accept':'application/json',
'Authorization':'API_KEY'
};
fetch('https://api.helplightning.net/api/v1r1/auth/pat',
{
method: 'POST',
body: inputBody,
headers: headers
})
.then(function(res) {
return res.json();
}).then(function(body) {
console.log(body);
});
require 'rest-client'
require 'json'
headers = {
'Content-Type' => 'application/json',
'Accept' => 'application/json',
'Authorization' => 'API_KEY'
}
result = RestClient.post 'https://api.helplightning.net/api/v1r1/auth/pat',
params: {
}, headers: headers
p JSON.parse(result)
import requests
headers = {
'Content-Type': 'application/json',
'Accept': 'application/json',
'Authorization': 'API_KEY'
}
r = requests.post('https://api.helplightning.net/api/v1r1/auth/pat', headers = headers)
print(r.json())
<?php
require 'vendor/autoload.php';
$headers = array(
'Content-Type' => 'application/json',
'Accept' => 'application/json',
'Authorization' => 'API_KEY',
);
$client = new \GuzzleHttp\Client();
// Define array of request body.
$request_body = array();
try {
$response = $client->request('POST','https://api.helplightning.net/api/v1r1/auth/pat', array(
'headers' => $headers,
'json' => $request_body,
)
);
print_r($response->getBody()->getContents());
}
catch (\GuzzleHttp\Exception\BadResponseException $e) {
// handle exception or api errors.
print_r($e->getMessage());
}
// ...
URL obj = new URL("https://api.helplightning.net/api/v1r1/auth/pat");
HttpURLConnection con = (HttpURLConnection) obj.openConnection();
con.setRequestMethod("POST");
int responseCode = con.getResponseCode();
BufferedReader in = new BufferedReader(
new InputStreamReader(con.getInputStream()));
String inputLine;
StringBuffer response = new StringBuffer();
while ((inputLine = in.readLine()) != null) {
response.append(inputLine);
}
in.close();
System.out.println(response.toString());
package main
import (
"bytes"
"net/http"
)
func main() {
headers := map[string][]string{
"Content-Type": []string{"application/json"},
"Accept": []string{"application/json"},
"Authorization": []string{"API_KEY"},
}
data := bytes.NewBuffer([]byte{jsonReq})
req, err := http.NewRequest("POST", "https://api.helplightning.net/api/v1r1/auth/pat", data)
req.Header = headers
client := &http.Client{}
resp, err := client.Do(req)
// ...
}
POST /v1r1/auth/pat
Exchanges personal access token for an authorization token
Body parameter
{
"token": "string"
}
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
| body | body | object | true | none |
| » token | body | string | true | The encoded personal access token |
Example responses
200 Response
{
"token": "string"
}
Responses
| Status | Meaning | Description | Schema |
|---|---|---|---|
| 200 | OK | Login successful, authorization token is returned in the body | tokenV1 |
| 400 | Bad Request | A generic error response | errorV1R1 |
GET _v1r1_personal_access_token
Code samples
# You can also use wget
curl -X GET https://api.helplightning.net/api/v1r1/personal_access_token \
-H 'Accept: application/json' \
-H 'authorization: string' \
-H 'Authorization: API_KEY'
GET https://api.helplightning.net/api/v1r1/personal_access_token HTTP/1.1
Host: api.helplightning.net
Accept: application/json
authorization: string
const headers = {
'Accept':'application/json',
'authorization':'string',
'Authorization':'API_KEY'
};
fetch('https://api.helplightning.net/api/v1r1/personal_access_token',
{
method: 'GET',
headers: headers
})
.then(function(res) {
return res.json();
}).then(function(body) {
console.log(body);
});
require 'rest-client'
require 'json'
headers = {
'Accept' => 'application/json',
'authorization' => 'string',
'Authorization' => 'API_KEY'
}
result = RestClient.get 'https://api.helplightning.net/api/v1r1/personal_access_token',
params: {
}, headers: headers
p JSON.parse(result)
import requests
headers = {
'Accept': 'application/json',
'authorization': 'string',
'Authorization': 'API_KEY'
}
r = requests.get('https://api.helplightning.net/api/v1r1/personal_access_token', headers = headers)
print(r.json())
<?php
require 'vendor/autoload.php';
$headers = array(
'Accept' => 'application/json',
'authorization' => 'string',
'Authorization' => 'API_KEY',
);
$client = new \GuzzleHttp\Client();
// Define array of request body.
$request_body = array();
try {
$response = $client->request('GET','https://api.helplightning.net/api/v1r1/personal_access_token', array(
'headers' => $headers,
'json' => $request_body,
)
);
print_r($response->getBody()->getContents());
}
catch (\GuzzleHttp\Exception\BadResponseException $e) {
// handle exception or api errors.
print_r($e->getMessage());
}
// ...
URL obj = new URL("https://api.helplightning.net/api/v1r1/personal_access_token");
HttpURLConnection con = (HttpURLConnection) obj.openConnection();
con.setRequestMethod("GET");
int responseCode = con.getResponseCode();
BufferedReader in = new BufferedReader(
new InputStreamReader(con.getInputStream()));
String inputLine;
StringBuffer response = new StringBuffer();
while ((inputLine = in.readLine()) != null) {
response.append(inputLine);
}
in.close();
System.out.println(response.toString());
package main
import (
"bytes"
"net/http"
)
func main() {
headers := map[string][]string{
"Accept": []string{"application/json"},
"authorization": []string{"string"},
"Authorization": []string{"API_KEY"},
}
data := bytes.NewBuffer([]byte{jsonReq})
req, err := http.NewRequest("GET", "https://api.helplightning.net/api/v1r1/personal_access_token", data)
req.Header = headers
client := &http.Client{}
resp, err := client.Do(req)
// ...
}
GET /v1r1/personal_access_token
Gets all of the personal access tokens owned by a user
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
| authorization | header | string | true | A user authorization token |
Example responses
200 Response
[
{
"description": "string",
"id": 0,
"token": "string"
}
]
Responses
| Status | Meaning | Description | Schema |
|---|---|---|---|
| 200 | OK | success, returns a list of personal access tokens | Inline |
| 400 | Bad Request | A generic error response | errorV1R1 |
Response Schema
Status Code 200
| Name | Type | Required | Restrictions | Description |
|---|---|---|---|---|
| anonymous | [personal_access_token] | false | none | none |
| » description | string | false | none | Human readable description of the token |
| » id | integer(int32) | false | none | Unique ID for the personal access token |
| » token | string | false | none | Encoded for the personal access token used for authentication |
POST _v1r1_personal_access_token
Code samples
# You can also use wget
curl -X POST https://api.helplightning.net/api/v1r1/personal_access_token \
-H 'Accept: application/json' \
-H 'authorization: string' \
-H 'Authorization: API_KEY'
POST https://api.helplightning.net/api/v1r1/personal_access_token HTTP/1.1
Host: api.helplightning.net
Accept: application/json
authorization: string
const headers = {
'Accept':'application/json',
'authorization':'string',
'Authorization':'API_KEY'
};
fetch('https://api.helplightning.net/api/v1r1/personal_access_token',
{
method: 'POST',
headers: headers
})
.then(function(res) {
return res.json();
}).then(function(body) {
console.log(body);
});
require 'rest-client'
require 'json'
headers = {
'Accept' => 'application/json',
'authorization' => 'string',
'Authorization' => 'API_KEY'
}
result = RestClient.post 'https://api.helplightning.net/api/v1r1/personal_access_token',
params: {
}, headers: headers
p JSON.parse(result)
import requests
headers = {
'Accept': 'application/json',
'authorization': 'string',
'Authorization': 'API_KEY'
}
r = requests.post('https://api.helplightning.net/api/v1r1/personal_access_token', headers = headers)
print(r.json())
<?php
require 'vendor/autoload.php';
$headers = array(
'Accept' => 'application/json',
'authorization' => 'string',
'Authorization' => 'API_KEY',
);
$client = new \GuzzleHttp\Client();
// Define array of request body.
$request_body = array();
try {
$response = $client->request('POST','https://api.helplightning.net/api/v1r1/personal_access_token', array(
'headers' => $headers,
'json' => $request_body,
)
);
print_r($response->getBody()->getContents());
}
catch (\GuzzleHttp\Exception\BadResponseException $e) {
// handle exception or api errors.
print_r($e->getMessage());
}
// ...
URL obj = new URL("https://api.helplightning.net/api/v1r1/personal_access_token");
HttpURLConnection con = (HttpURLConnection) obj.openConnection();
con.setRequestMethod("POST");
int responseCode = con.getResponseCode();
BufferedReader in = new BufferedReader(
new InputStreamReader(con.getInputStream()));
String inputLine;
StringBuffer response = new StringBuffer();
while ((inputLine = in.readLine()) != null) {
response.append(inputLine);
}
in.close();
System.out.println(response.toString());
package main
import (
"bytes"
"net/http"
)
func main() {
headers := map[string][]string{
"Accept": []string{"application/json"},
"authorization": []string{"string"},
"Authorization": []string{"API_KEY"},
}
data := bytes.NewBuffer([]byte{jsonReq})
req, err := http.NewRequest("POST", "https://api.helplightning.net/api/v1r1/personal_access_token", data)
req.Header = headers
client := &http.Client{}
resp, err := client.Do(req)
// ...
}
POST /v1r1/personal_access_token
Create a new personal access token for a user
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
| authorization | header | string | true | A user authorization token |
Example responses
200 Response
{
"description": "string",
"id": 0,
"token": "string"
}
Responses
| Status | Meaning | Description | Schema |
|---|---|---|---|
| 200 | OK | Personal access token created | personal_access_token |
| 400 | Bad Request | A generic error response | errorV1R1 |
DELETE v1r1_personal_access_token{id}
Code samples
# You can also use wget
curl -X DELETE https://api.helplightning.net/api/v1r1/personal_access_token/{id} \
-H 'Accept: application/json' \
-H 'authorization: string' \
-H 'Authorization: API_KEY'
DELETE https://api.helplightning.net/api/v1r1/personal_access_token/{id} HTTP/1.1
Host: api.helplightning.net
Accept: application/json
authorization: string
const headers = {
'Accept':'application/json',
'authorization':'string',
'Authorization':'API_KEY'
};
fetch('https://api.helplightning.net/api/v1r1/personal_access_token/{id}',
{
method: 'DELETE',
headers: headers
})
.then(function(res) {
return res.json();
}).then(function(body) {
console.log(body);
});
require 'rest-client'
require 'json'
headers = {
'Accept' => 'application/json',
'authorization' => 'string',
'Authorization' => 'API_KEY'
}
result = RestClient.delete 'https://api.helplightning.net/api/v1r1/personal_access_token/{id}',
params: {
}, headers: headers
p JSON.parse(result)
import requests
headers = {
'Accept': 'application/json',
'authorization': 'string',
'Authorization': 'API_KEY'
}
r = requests.delete('https://api.helplightning.net/api/v1r1/personal_access_token/{id}', headers = headers)
print(r.json())
<?php
require 'vendor/autoload.php';
$headers = array(
'Accept' => 'application/json',
'authorization' => 'string',
'Authorization' => 'API_KEY',
);
$client = new \GuzzleHttp\Client();
// Define array of request body.
$request_body = array();
try {
$response = $client->request('DELETE','https://api.helplightning.net/api/v1r1/personal_access_token/{id}', array(
'headers' => $headers,
'json' => $request_body,
)
);
print_r($response->getBody()->getContents());
}
catch (\GuzzleHttp\Exception\BadResponseException $e) {
// handle exception or api errors.
print_r($e->getMessage());
}
// ...
URL obj = new URL("https://api.helplightning.net/api/v1r1/personal_access_token/{id}");
HttpURLConnection con = (HttpURLConnection) obj.openConnection();
con.setRequestMethod("DELETE");
int responseCode = con.getResponseCode();
BufferedReader in = new BufferedReader(
new InputStreamReader(con.getInputStream()));
String inputLine;
StringBuffer response = new StringBuffer();
while ((inputLine = in.readLine()) != null) {
response.append(inputLine);
}
in.close();
System.out.println(response.toString());
package main
import (
"bytes"
"net/http"
)
func main() {
headers := map[string][]string{
"Accept": []string{"application/json"},
"authorization": []string{"string"},
"Authorization": []string{"API_KEY"},
}
data := bytes.NewBuffer([]byte{jsonReq})
req, err := http.NewRequest("DELETE", "https://api.helplightning.net/api/v1r1/personal_access_token/{id}", data)
req.Header = headers
client := &http.Client{}
resp, err := client.Do(req)
// ...
}
DELETE /v1r1/personal_access_token/{id}
Permanently removes a personal access token
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
| authorization | header | string | true | A user authorization token |
| id | path | integer | true | Personal Access Token ID |
Example responses
400 Response
{
"code": 0,
"message": "string",
"name": "generic"
}
Responses
| Status | Meaning | Description | Schema |
|---|---|---|---|
| 200 | OK | Success, personal access token removed | None |
| 400 | Bad Request | A generic error response | errorV1R1 |
GET v1r1_personal_access_token{id}
Code samples
# You can also use wget
curl -X GET https://api.helplightning.net/api/v1r1/personal_access_token/{id} \
-H 'Accept: application/json' \
-H 'authorization: string' \
-H 'Authorization: API_KEY'
GET https://api.helplightning.net/api/v1r1/personal_access_token/{id} HTTP/1.1
Host: api.helplightning.net
Accept: application/json
authorization: string
const headers = {
'Accept':'application/json',
'authorization':'string',
'Authorization':'API_KEY'
};
fetch('https://api.helplightning.net/api/v1r1/personal_access_token/{id}',
{
method: 'GET',
headers: headers
})
.then(function(res) {
return res.json();
}).then(function(body) {
console.log(body);
});
require 'rest-client'
require 'json'
headers = {
'Accept' => 'application/json',
'authorization' => 'string',
'Authorization' => 'API_KEY'
}
result = RestClient.get 'https://api.helplightning.net/api/v1r1/personal_access_token/{id}',
params: {
}, headers: headers
p JSON.parse(result)
import requests
headers = {
'Accept': 'application/json',
'authorization': 'string',
'Authorization': 'API_KEY'
}
r = requests.get('https://api.helplightning.net/api/v1r1/personal_access_token/{id}', headers = headers)
print(r.json())
<?php
require 'vendor/autoload.php';
$headers = array(
'Accept' => 'application/json',
'authorization' => 'string',
'Authorization' => 'API_KEY',
);
$client = new \GuzzleHttp\Client();
// Define array of request body.
$request_body = array();
try {
$response = $client->request('GET','https://api.helplightning.net/api/v1r1/personal_access_token/{id}', array(
'headers' => $headers,
'json' => $request_body,
)
);
print_r($response->getBody()->getContents());
}
catch (\GuzzleHttp\Exception\BadResponseException $e) {
// handle exception or api errors.
print_r($e->getMessage());
}
// ...
URL obj = new URL("https://api.helplightning.net/api/v1r1/personal_access_token/{id}");
HttpURLConnection con = (HttpURLConnection) obj.openConnection();
con.setRequestMethod("GET");
int responseCode = con.getResponseCode();
BufferedReader in = new BufferedReader(
new InputStreamReader(con.getInputStream()));
String inputLine;
StringBuffer response = new StringBuffer();
while ((inputLine = in.readLine()) != null) {
response.append(inputLine);
}
in.close();
System.out.println(response.toString());
package main
import (
"bytes"
"net/http"
)
func main() {
headers := map[string][]string{
"Accept": []string{"application/json"},
"authorization": []string{"string"},
"Authorization": []string{"API_KEY"},
}
data := bytes.NewBuffer([]byte{jsonReq})
req, err := http.NewRequest("GET", "https://api.helplightning.net/api/v1r1/personal_access_token/{id}", data)
req.Header = headers
client := &http.Client{}
resp, err := client.Do(req)
// ...
}
GET /v1r1/personal_access_token/{id}
Gets a personal access token for a user by id
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
| authorization | header | string | true | A user authorization token |
| id | path | string | true | Personal access token id |
Example responses
200 Response
{
"description": "string",
"id": 0,
"token": "string"
}
Responses
| Status | Meaning | Description | Schema |
|---|---|---|---|
| 200 | OK | success, returns a personal access token | personal_access_token |
| 400 | Bad Request | A generic error response | errorV1R1 |
Registration
Account Registration
POST _v1_register
Code samples
# You can also use wget
curl -X POST https://api.helplightning.net/api/v1/register \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Authorization: API_KEY'
POST https://api.helplightning.net/api/v1/register HTTP/1.1
Host: api.helplightning.net
Content-Type: application/json
Accept: application/json
const inputBody = '{
"invitation_token": "string",
"user_info": {
"email": "string",
"name": "string",
"password": "pa$$word"
}
}';
const headers = {
'Content-Type':'application/json',
'Accept':'application/json',
'Authorization':'API_KEY'
};
fetch('https://api.helplightning.net/api/v1/register',
{
method: 'POST',
body: inputBody,
headers: headers
})
.then(function(res) {
return res.json();
}).then(function(body) {
console.log(body);
});
require 'rest-client'
require 'json'
headers = {
'Content-Type' => 'application/json',
'Accept' => 'application/json',
'Authorization' => 'API_KEY'
}
result = RestClient.post 'https://api.helplightning.net/api/v1/register',
params: {
}, headers: headers
p JSON.parse(result)
import requests
headers = {
'Content-Type': 'application/json',
'Accept': 'application/json',
'Authorization': 'API_KEY'
}
r = requests.post('https://api.helplightning.net/api/v1/register', headers = headers)
print(r.json())
<?php
require 'vendor/autoload.php';
$headers = array(
'Content-Type' => 'application/json',
'Accept' => 'application/json',
'Authorization' => 'API_KEY',
);
$client = new \GuzzleHttp\Client();
// Define array of request body.
$request_body = array();
try {
$response = $client->request('POST','https://api.helplightning.net/api/v1/register', array(
'headers' => $headers,
'json' => $request_body,
)
);
print_r($response->getBody()->getContents());
}
catch (\GuzzleHttp\Exception\BadResponseException $e) {
// handle exception or api errors.
print_r($e->getMessage());
}
// ...
URL obj = new URL("https://api.helplightning.net/api/v1/register");
HttpURLConnection con = (HttpURLConnection) obj.openConnection();
con.setRequestMethod("POST");
int responseCode = con.getResponseCode();
BufferedReader in = new BufferedReader(
new InputStreamReader(con.getInputStream()));
String inputLine;
StringBuffer response = new StringBuffer();
while ((inputLine = in.readLine()) != null) {
response.append(inputLine);
}
in.close();
System.out.println(response.toString());
package main
import (
"bytes"
"net/http"
)
func main() {
headers := map[string][]string{
"Content-Type": []string{"application/json"},
"Accept": []string{"application/json"},
"Authorization": []string{"API_KEY"},
}
data := bytes.NewBuffer([]byte{jsonReq})
req, err := http.NewRequest("POST", "https://api.helplightning.net/api/v1/register", data)
req.Header = headers
client := &http.Client{}
resp, err := client.Do(req)
// ...
}
POST /v1/register
Registers a new personal account.
Body parameter
{
"invitation_token": "string",
"user_info": {
"email": "string",
"name": "string",
"password": "pa$$word"
}
}
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
| body | body | object | true | none |
| » invitation_token | body | string | false | Invitation token sent to an email. |
| » user_info | body | object | true | Information about the user creating the account |
| »» email | body | string | true | Email to tie to new user account. An email will be sent to this address with a confirmation token. |
| »» name | body | string | true | Full name of the user. |
| »» password | body | string(password) | true | Password for the account. |
Example responses
401 Response
{
"code": 0,
"message": "string"
}
Responses
| Status | Meaning | Description | Schema |
|---|---|---|---|
| 200 | OK | Registration successful, and confirmation email is sent to the new user | None |
| 401 | Unauthorized | Unauthorized, invalid API key | errorV1 |
| 500 | Internal Server Error | Internal error | errorV1 |
POST _v1_register_confirm
Code samples
# You can also use wget
curl -X POST https://api.helplightning.net/api/v1/register/confirm?confirmation_token=string \
-H 'Accept: application/json' \
-H 'Authorization: API_KEY'
POST https://api.helplightning.net/api/v1/register/confirm?confirmation_token=string HTTP/1.1
Host: api.helplightning.net
Accept: application/json
const headers = {
'Accept':'application/json',
'Authorization':'API_KEY'
};
fetch('https://api.helplightning.net/api/v1/register/confirm?confirmation_token=string',
{
method: 'POST',
headers: headers
})
.then(function(res) {
return res.json();
}).then(function(body) {
console.log(body);
});
require 'rest-client'
require 'json'
headers = {
'Accept' => 'application/json',
'Authorization' => 'API_KEY'
}
result = RestClient.post 'https://api.helplightning.net/api/v1/register/confirm',
params: {
'confirmation_token' => 'string'
}, headers: headers
p JSON.parse(result)
import requests
headers = {
'Accept': 'application/json',
'Authorization': 'API_KEY'
}
r = requests.post('https://api.helplightning.net/api/v1/register/confirm', params={
'confirmation_token': 'string'
}, headers = headers)
print(r.json())
<?php
require 'vendor/autoload.php';
$headers = array(
'Accept' => 'application/json',
'Authorization' => 'API_KEY',
);
$client = new \GuzzleHttp\Client();
// Define array of request body.
$request_body = array();
try {
$response = $client->request('POST','https://api.helplightning.net/api/v1/register/confirm', array(
'headers' => $headers,
'json' => $request_body,
)
);
print_r($response->getBody()->getContents());
}
catch (\GuzzleHttp\Exception\BadResponseException $e) {
// handle exception or api errors.
print_r($e->getMessage());
}
// ...
URL obj = new URL("https://api.helplightning.net/api/v1/register/confirm?confirmation_token=string");
HttpURLConnection con = (HttpURLConnection) obj.openConnection();
con.setRequestMethod("POST");
int responseCode = con.getResponseCode();
BufferedReader in = new BufferedReader(
new InputStreamReader(con.getInputStream()));
String inputLine;
StringBuffer response = new StringBuffer();
while ((inputLine = in.readLine()) != null) {
response.append(inputLine);
}
in.close();
System.out.println(response.toString());
package main
import (
"bytes"
"net/http"
)
func main() {
headers := map[string][]string{
"Accept": []string{"application/json"},
"Authorization": []string{"API_KEY"},
}
data := bytes.NewBuffer([]byte{jsonReq})
req, err := http.NewRequest("POST", "https://api.helplightning.net/api/v1/register/confirm", data)
req.Header = headers
client := &http.Client{}
resp, err := client.Do(req)
// ...
}
POST /v1/register/confirm
Confirms the registration of a new account.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
| confirmation_token | query | string | true | none |
Example responses
200 Response
{
"message": "string",
"status": "string"
}
Responses
| Status | Meaning | Description | Schema |
|---|---|---|---|
| 200 | OK | Confirmation successful, account activated | register_confirm |
| 401 | Unauthorized | Unauthorized, invalid confirmation token | errorV1 |
| 500 | Internal Server Error | Internal error | errorV1 |
POST _v1_register_confirm_new_email
Code samples
# You can also use wget
curl -X POST https://api.helplightning.net/api/v1/register/confirm_new_email?confirmation_token=string \
-H 'Accept: application/json' \
-H 'Authorization: API_KEY'
POST https://api.helplightning.net/api/v1/register/confirm_new_email?confirmation_token=string HTTP/1.1
Host: api.helplightning.net
Accept: application/json
const headers = {
'Accept':'application/json',
'Authorization':'API_KEY'
};
fetch('https://api.helplightning.net/api/v1/register/confirm_new_email?confirmation_token=string',
{
method: 'POST',
headers: headers
})
.then(function(res) {
return res.json();
}).then(function(body) {
console.log(body);
});
require 'rest-client'
require 'json'
headers = {
'Accept' => 'application/json',
'Authorization' => 'API_KEY'
}
result = RestClient.post 'https://api.helplightning.net/api/v1/register/confirm_new_email',
params: {
'confirmation_token' => 'string'
}, headers: headers
p JSON.parse(result)
import requests
headers = {
'Accept': 'application/json',
'Authorization': 'API_KEY'
}
r = requests.post('https://api.helplightning.net/api/v1/register/confirm_new_email', params={
'confirmation_token': 'string'
}, headers = headers)
print(r.json())
<?php
require 'vendor/autoload.php';
$headers = array(
'Accept' => 'application/json',
'Authorization' => 'API_KEY',
);
$client = new \GuzzleHttp\Client();
// Define array of request body.
$request_body = array();
try {
$response = $client->request('POST','https://api.helplightning.net/api/v1/register/confirm_new_email', array(
'headers' => $headers,
'json' => $request_body,
)
);
print_r($response->getBody()->getContents());
}
catch (\GuzzleHttp\Exception\BadResponseException $e) {
// handle exception or api errors.
print_r($e->getMessage());
}
// ...
URL obj = new URL("https://api.helplightning.net/api/v1/register/confirm_new_email?confirmation_token=string");
HttpURLConnection con = (HttpURLConnection) obj.openConnection();
con.setRequestMethod("POST");
int responseCode = con.getResponseCode();
BufferedReader in = new BufferedReader(
new InputStreamReader(con.getInputStream()));
String inputLine;
StringBuffer response = new StringBuffer();
while ((inputLine = in.readLine()) != null) {
response.append(inputLine);
}
in.close();
System.out.println(response.toString());
package main
import (
"bytes"
"net/http"
)
func main() {
headers := map[string][]string{
"Accept": []string{"application/json"},
"Authorization": []string{"API_KEY"},
}
data := bytes.NewBuffer([]byte{jsonReq})
req, err := http.NewRequest("POST", "https://api.helplightning.net/api/v1/register/confirm_new_email", data)
req.Header = headers
client := &http.Client{}
resp, err := client.Do(req)
// ...
}
POST /v1/register/confirm_new_email
Confirms the registration of a new email for an existing account.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
| confirmation_token | query | string | true | none |
Example responses
200 Response
{
"active": true,
"available": "string",
"avatar": "string",
"confirmed_email": true,
"created_at": "2019-08-24T14:15:22Z",
"email": "string",
"id": 0,
"is_confirmed": true,
"is_first_login": true,
"last_used_at": "2019-08-24T14:15:22Z",
"name": "string",
"permissions": [
"string"
],
"personal_room_session_id": "string",
"personal_room_url": "string",
"role_id": 0,
"role_name": "string",
"status": "string",
"status_message": "string",
"token": "string",
"unavailable_expires_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z",
"username": "string"
}
Responses
| Status | Meaning | Description | Schema |
|---|---|---|---|
| 200 | OK | Confirmation successful, account's email address has changed | user |
| 401 | Unauthorized | Unauthorized, invalid confirmation token | errorV1 |
| 500 | Internal Server Error | Internal error | errorV1 |
POST _v1_register_resend_confirmation
Code samples
# You can also use wget
curl -X POST https://api.helplightning.net/api/v1/register/resend_confirmation?email=string \
-H 'Accept: application/json' \
-H 'Authorization: API_KEY'
POST https://api.helplightning.net/api/v1/register/resend_confirmation?email=string HTTP/1.1
Host: api.helplightning.net
Accept: application/json
const headers = {
'Accept':'application/json',
'Authorization':'API_KEY'
};
fetch('https://api.helplightning.net/api/v1/register/resend_confirmation?email=string',
{
method: 'POST',
headers: headers
})
.then(function(res) {
return res.json();
}).then(function(body) {
console.log(body);
});
require 'rest-client'
require 'json'
headers = {
'Accept' => 'application/json',
'Authorization' => 'API_KEY'
}
result = RestClient.post 'https://api.helplightning.net/api/v1/register/resend_confirmation',
params: {
'email' => 'string'
}, headers: headers
p JSON.parse(result)
import requests
headers = {
'Accept': 'application/json',
'Authorization': 'API_KEY'
}
r = requests.post('https://api.helplightning.net/api/v1/register/resend_confirmation', params={
'email': 'string'
}, headers = headers)
print(r.json())
<?php
require 'vendor/autoload.php';
$headers = array(
'Accept' => 'application/json',
'Authorization' => 'API_KEY',
);
$client = new \GuzzleHttp\Client();
// Define array of request body.
$request_body = array();
try {
$response = $client->request('POST','https://api.helplightning.net/api/v1/register/resend_confirmation', array(
'headers' => $headers,
'json' => $request_body,
)
);
print_r($response->getBody()->getContents());
}
catch (\GuzzleHttp\Exception\BadResponseException $e) {
// handle exception or api errors.
print_r($e->getMessage());
}
// ...
URL obj = new URL("https://api.helplightning.net/api/v1/register/resend_confirmation?email=string");
HttpURLConnection con = (HttpURLConnection) obj.openConnection();
con.setRequestMethod("POST");
int responseCode = con.getResponseCode();
BufferedReader in = new BufferedReader(
new InputStreamReader(con.getInputStream()));
String inputLine;
StringBuffer response = new StringBuffer();
while ((inputLine = in.readLine()) != null) {
response.append(inputLine);
}
in.close();
System.out.println(response.toString());
package main
import (
"bytes"
"net/http"
)
func main() {
headers := map[string][]string{
"Accept": []string{"application/json"},
"Authorization": []string{"API_KEY"},
}
data := bytes.NewBuffer([]byte{jsonReq})
req, err := http.NewRequest("POST", "https://api.helplightning.net/api/v1/register/resend_confirmation", data)
req.Header = headers
client := &http.Client{}
resp, err := client.Do(req)
// ...
}
POST /v1/register/resend_confirmation
Resends the confirmation email for a new account.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
| query | string | true | none |
Example responses
401 Response
{
"code": 0,
"message": "string"
}
Responses
| Status | Meaning | Description | Schema |
|---|---|---|---|
| 200 | OK | Confirmation email not sent | None |
| 401 | Unauthorized | Unauthorized, confirmation email not sent | errorV1 |
| 500 | Internal Server Error | Internal error | errorV1 |
POST _v1r1_register
Code samples
# You can also use wget
curl -X POST https://api.helplightning.net/api/v1r1/register \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Authorization: API_KEY'
POST https://api.helplightning.net/api/v1r1/register HTTP/1.1
Host: api.helplightning.net
Content-Type: application/json
Accept: application/json
const inputBody = '{
"invitation_token": "string",
"user_info": {
"email": "string",
"location": "",
"name": "string",
"password": "pa$$word",
"title": ""
}
}';
const headers = {
'Content-Type':'application/json',
'Accept':'application/json',
'Authorization':'API_KEY'
};
fetch('https://api.helplightning.net/api/v1r1/register',
{
method: 'POST',
body: inputBody,
headers: headers
})
.then(function(res) {
return res.json();
}).then(function(body) {
console.log(body);
});
require 'rest-client'
require 'json'
headers = {
'Content-Type' => 'application/json',
'Accept' => 'application/json',
'Authorization' => 'API_KEY'
}
result = RestClient.post 'https://api.helplightning.net/api/v1r1/register',
params: {
}, headers: headers
p JSON.parse(result)
import requests
headers = {
'Content-Type': 'application/json',
'Accept': 'application/json',
'Authorization': 'API_KEY'
}
r = requests.post('https://api.helplightning.net/api/v1r1/register', headers = headers)
print(r.json())
<?php
require 'vendor/autoload.php';
$headers = array(
'Content-Type' => 'application/json',
'Accept' => 'application/json',
'Authorization' => 'API_KEY',
);
$client = new \GuzzleHttp\Client();
// Define array of request body.
$request_body = array();
try {
$response = $client->request('POST','https://api.helplightning.net/api/v1r1/register', array(
'headers' => $headers,
'json' => $request_body,
)
);
print_r($response->getBody()->getContents());
}
catch (\GuzzleHttp\Exception\BadResponseException $e) {
// handle exception or api errors.
print_r($e->getMessage());
}
// ...
URL obj = new URL("https://api.helplightning.net/api/v1r1/register");
HttpURLConnection con = (HttpURLConnection) obj.openConnection();
con.setRequestMethod("POST");
int responseCode = con.getResponseCode();
BufferedReader in = new BufferedReader(
new InputStreamReader(con.getInputStream()));
String inputLine;
StringBuffer response = new StringBuffer();
while ((inputLine = in.readLine()) != null) {
response.append(inputLine);
}
in.close();
System.out.println(response.toString());
package main
import (
"bytes"
"net/http"
)
func main() {
headers := map[string][]string{
"Content-Type": []string{"application/json"},
"Accept": []string{"application/json"},
"Authorization": []string{"API_KEY"},
}
data := bytes.NewBuffer([]byte{jsonReq})
req, err := http.NewRequest("POST", "https://api.helplightning.net/api/v1r1/register", data)
req.Header = headers
client := &http.Client{}
resp, err := client.Do(req)
// ...
}
POST /v1r1/register
Registers a new personal account.
Body parameter
{
"invitation_token": "string",
"user_info": {
"email": "string",
"location": "",
"name": "string",
"password": "pa$$word",
"title": ""
}
}
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
| body | body | object | true | none |
| » invitation_token | body | string | false | Invitation token sent to an email. |
| » user_info | body | object | true | Information about the user creating the account |
| »» email | body | string | true | Email to tie to new user account. An email will be sent to this address with a confirmation token. |
| »» location | body | string | false | Location of the contact |
| »» name | body | string | true | Full name of the user. |
| »» password | body | string(password) | true | Password for the account. |
| »» title | body | string | false | Title of the contact |
Example responses
400 Response
{
"code": 0,
"message": "string",
"name": "generic"
}
Responses
| Status | Meaning | Description | Schema |
|---|---|---|---|
| 200 | OK | Registration successful, and confirmation email is sent to the new user | None |
| 400 | Bad Request | A generic error response | errorV1R1 |
POST _v1r1_register_enterprise
Code samples
# You can also use wget
curl -X POST https://api.helplightning.net/api/v1r1/register/enterprise \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Authorization: API_KEY'
POST https://api.helplightning.net/api/v1r1/register/enterprise HTTP/1.1
Host: api.helplightning.net
Content-Type: application/json
Accept: application/json
const inputBody = '{
"contact_email": "string",
"contact_name": "string",
"enterprise_name": "string",
"reseller_id": "string"
}';
const headers = {
'Content-Type':'application/json',
'Accept':'application/json',
'Authorization':'API_KEY'
};
fetch('https://api.helplightning.net/api/v1r1/register/enterprise',
{
method: 'POST',
body: inputBody,
headers: headers
})
.then(function(res) {
return res.json();
}).then(function(body) {
console.log(body);
});
require 'rest-client'
require 'json'
headers = {
'Content-Type' => 'application/json',
'Accept' => 'application/json',
'Authorization' => 'API_KEY'
}
result = RestClient.post 'https://api.helplightning.net/api/v1r1/register/enterprise',
params: {
}, headers: headers
p JSON.parse(result)
import requests
headers = {
'Content-Type': 'application/json',
'Accept': 'application/json',
'Authorization': 'API_KEY'
}
r = requests.post('https://api.helplightning.net/api/v1r1/register/enterprise', headers = headers)
print(r.json())
<?php
require 'vendor/autoload.php';
$headers = array(
'Content-Type' => 'application/json',
'Accept' => 'application/json',
'Authorization' => 'API_KEY',
);
$client = new \GuzzleHttp\Client();
// Define array of request body.
$request_body = array();
try {
$response = $client->request('POST','https://api.helplightning.net/api/v1r1/register/enterprise', array(
'headers' => $headers,
'json' => $request_body,
)
);
print_r($response->getBody()->getContents());
}
catch (\GuzzleHttp\Exception\BadResponseException $e) {
// handle exception or api errors.
print_r($e->getMessage());
}
// ...
URL obj = new URL("https://api.helplightning.net/api/v1r1/register/enterprise");
HttpURLConnection con = (HttpURLConnection) obj.openConnection();
con.setRequestMethod("POST");
int responseCode = con.getResponseCode();
BufferedReader in = new BufferedReader(
new InputStreamReader(con.getInputStream()));
String inputLine;
StringBuffer response = new StringBuffer();
while ((inputLine = in.readLine()) != null) {
response.append(inputLine);
}
in.close();
System.out.println(response.toString());
package main
import (
"bytes"
"net/http"
)
func main() {
headers := map[string][]string{
"Content-Type": []string{"application/json"},
"Accept": []string{"application/json"},
"Authorization": []string{"API_KEY"},
}
data := bytes.NewBuffer([]byte{jsonReq})
req, err := http.NewRequest("POST", "https://api.helplightning.net/api/v1r1/register/enterprise", data)
req.Header = headers
client := &http.Client{}
resp, err := client.Do(req)
// ...
}
POST /v1r1/register/enterprise
Create enterprise for non-authenticated users.
Body parameter
{
"contact_email": "string",
"contact_name": "string",
"enterprise_name": "string",
"reseller_id": "string"
}
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
| body | body | object | true | none |
| » contact_email | body | string | true | The email of contact. |
| » contact_name | body | string | true | The name of contact. |
| » enterprise_name | body | string | true | The name of enterprise. |
| » reseller_id | body | string | true | A reseller's id code. |
Example responses
400 Response
{
"code": 0,
"message": "string",
"name": "generic"
}
Responses
| Status | Meaning | Description | Schema |
|---|---|---|---|
| 200 | OK | Registration successful. | None |
| 400 | Bad Request | A generic error response | errorV1R1 |
User-Level: Calls & Communication
Calls at the User Level
GET _v1_calls
Code samples
# You can also use wget
curl -X GET https://api.helplightning.net/api/v1/calls \
-H 'Accept: application/json' \
-H 'authorization: string' \
-H 'Authorization: API_KEY'
GET https://api.helplightning.net/api/v1/calls HTTP/1.1
Host: api.helplightning.net
Accept: application/json
authorization: string
const headers = {
'Accept':'application/json',
'authorization':'string',
'Authorization':'API_KEY'
};
fetch('https://api.helplightning.net/api/v1/calls',
{
method: 'GET',
headers: headers
})
.then(function(res) {
return res.json();
}).then(function(body) {
console.log(body);
});
require 'rest-client'
require 'json'
headers = {
'Accept' => 'application/json',
'authorization' => 'string',
'Authorization' => 'API_KEY'
}
result = RestClient.get 'https://api.helplightning.net/api/v1/calls',
params: {
}, headers: headers
p JSON.parse(result)
import requests
headers = {
'Accept': 'application/json',
'authorization': 'string',
'Authorization': 'API_KEY'
}
r = requests.get('https://api.helplightning.net/api/v1/calls', headers = headers)
print(r.json())
<?php
require 'vendor/autoload.php';
$headers = array(
'Accept' => 'application/json',
'authorization' => 'string',
'Authorization' => 'API_KEY',
);
$client = new \GuzzleHttp\Client();
// Define array of request body.
$request_body = array();
try {
$response = $client->request('GET','https://api.helplightning.net/api/v1/calls', array(
'headers' => $headers,
'json' => $request_body,
)
);
print_r($response->getBody()->getContents());
}
catch (\GuzzleHttp\Exception\BadResponseException $e) {
// handle exception or api errors.
print_r($e->getMessage());
}
// ...
URL obj = new URL("https://api.helplightning.net/api/v1/calls");
HttpURLConnection con = (HttpURLConnection) obj.openConnection();
con.setRequestMethod("GET");
int responseCode = con.getResponseCode();
BufferedReader in = new BufferedReader(
new InputStreamReader(con.getInputStream()));
String inputLine;
StringBuffer response = new StringBuffer();
while ((inputLine = in.readLine()) != null) {
response.append(inputLine);
}
in.close();
System.out.println(response.toString());
package main
import (
"bytes"
"net/http"
)
func main() {
headers := map[string][]string{
"Accept": []string{"application/json"},
"authorization": []string{"string"},
"Authorization": []string{"API_KEY"},
}
data := bytes.NewBuffer([]byte{jsonReq})
req, err := http.NewRequest("GET", "https://api.helplightning.net/api/v1/calls", data)
req.Header = headers
client := &http.Client{}
resp, err := client.Do(req)
// ...
}
GET /v1/calls
Get all the calls for a user.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
| authorization | header | string | true | A user authorization token |
| filter | query | string | false | none |
| page_size | query | integer | false | none |
| page | query | integer | false | none |
| order | query | string | false | none |
Example responses
200 Response
[
{
"alt1_id": "string",
"alt2_id": "string",
"alt3_id": "string",
"callDuration": 0,
"dialderId": "string",
"dialer": {
"email": "string",
"enterpriseId": "string",
"id": "string",
"name": "string",
"username": "string"
},
"dialerName": "string",
"extra_info": "string",
"has_attachments": true,
"intraEnterpriseCall": true,
"owner_email": "string",
"owner_id": "string",
"owner_name": "string",
"participants": [
{
"email": "string",
"enterpriseId": "string",
"id": "string",
"isAnonymous": true,
"name": "string",
"username": "string"
}
],
"ratings": [
{
"participant_id": "string",
"rating": "string"
}
],
"reasonCallEnded": "string",
"receiver": {
"email": "string",
"enterpriseId": "string",
"id": "string",
"name": "string",
"username": "string"
},
"receiverId": "string",
"receiverName": "string",
"recordingError": "string",
"recordingStatus": "string",
"recordingUrl": "string",
"session": "string",
"tags": [
"string"
],
"timeCallEnded": 0,
"timeCallStarted": 0,
"timestamp": "string",
"workbox_id": 0,
"workbox_v2_id": 0
}
]
Responses
| Status | Meaning | Description | Schema |
|---|---|---|---|
| 200 | OK | A list of calls | hermes_user_calls |
| 401 | Unauthorized | Invalid token | string |
| 500 | Internal Server Error | Internal error | errorV1 |
GET _v1_calls_recent
Code samples
# You can also use wget
curl -X GET https://api.helplightning.net/api/v1/calls/recent \
-H 'Accept: application/json' \
-H 'authorization: string' \
-H 'Authorization: API_KEY'
GET https://api.helplightning.net/api/v1/calls/recent HTTP/1.1
Host: api.helplightning.net
Accept: application/json
authorization: string
const headers = {
'Accept':'application/json',
'authorization':'string',
'Authorization':'API_KEY'
};
fetch('https://api.helplightning.net/api/v1/calls/recent',
{
method: 'GET',
headers: headers
})
.then(function(res) {
return res.json();
}).then(function(body) {
console.log(body);
});
require 'rest-client'
require 'json'
headers = {
'Accept' => 'application/json',
'authorization' => 'string',
'Authorization' => 'API_KEY'
}
result = RestClient.get 'https://api.helplightning.net/api/v1/calls/recent',
params: {
}, headers: headers
p JSON.parse(result)
import requests
headers = {
'Accept': 'application/json',
'authorization': 'string',
'Authorization': 'API_KEY'
}
r = requests.get('https://api.helplightning.net/api/v1/calls/recent', headers = headers)
print(r.json())
<?php
require 'vendor/autoload.php';
$headers = array(
'Accept' => 'application/json',
'authorization' => 'string',
'Authorization' => 'API_KEY',
);
$client = new \GuzzleHttp\Client();
// Define array of request body.
$request_body = array();
try {
$response = $client->request('GET','https://api.helplightning.net/api/v1/calls/recent', array(
'headers' => $headers,
'json' => $request_body,
)
);
print_r($response->getBody()->getContents());
}
catch (\GuzzleHttp\Exception\BadResponseException $e) {
// handle exception or api errors.
print_r($e->getMessage());
}
// ...
URL obj = new URL("https://api.helplightning.net/api/v1/calls/recent");
HttpURLConnection con = (HttpURLConnection) obj.openConnection();
con.setRequestMethod("GET");
int responseCode = con.getResponseCode();
BufferedReader in = new BufferedReader(
new InputStreamReader(con.getInputStream()));
String inputLine;
StringBuffer response = new StringBuffer();
while ((inputLine = in.readLine()) != null) {
response.append(inputLine);
}
in.close();
System.out.println(response.toString());
package main
import (
"bytes"
"net/http"
)
func main() {
headers := map[string][]string{
"Accept": []string{"application/json"},
"authorization": []string{"string"},
"Authorization": []string{"API_KEY"},
}
data := bytes.NewBuffer([]byte{jsonReq})
req, err := http.NewRequest("GET", "https://api.helplightning.net/api/v1/calls/recent", data)
req.Header = headers
client := &http.Client{}
resp, err := client.Do(req)
// ...
}
GET /v1/calls/recent
Returns recent call history.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
| authorization | header | string | true | A user authorization token |
Example responses
200 Response
{
"contact": {
"active": true,
"anonymous": true,
"available": true,
"avatar": {
"timestamp": "2019-08-24T14:15:22Z",
"url": "string"
},
"email": "string",
"enterprise_ids": [
0
],
"favorite": true,
"id": "string",
"is_group": true,
"name": "string",
"status": "string",
"tags": [
"string"
],
"token": "string",
"username": "string"
},
"contact_name": "string",
"duration": 0,
"has_attachments": true,
"is_group": true,
"outgoing": true,
"participants": [
{
"email": "string",
"enterpriseId": 0,
"id": "string",
"isAnonymous": true,
"location": "string",
"name": "string",
"title": "string",
"username": "string"
}
],
"ratings": [
{
"participant_id": "string",
"rating": "string"
}
],
"reason": "string",
"start_time": "2019-08-24T14:15:22Z",
"status": true,
"tags": [
"string"
]
}
Responses
| Status | Meaning | Description | Schema |
|---|---|---|---|
| 200 | OK | Success | recent_call |
| 401 | Unauthorized | Could not find resource or you do not have access to the resource. | errorV1 |
| 500 | Internal Server Error | Internal error | errorV1 |
GET v1_calls{call_id}
Code samples
# You can also use wget
curl -X GET https://api.helplightning.net/api/v1/calls/{call_id} \
-H 'Accept: application/json' \
-H 'authorization: string' \
-H 'Authorization: API_KEY'
GET https://api.helplightning.net/api/v1/calls/{call_id} HTTP/1.1
Host: api.helplightning.net
Accept: application/json
authorization: string
const headers = {
'Accept':'application/json',
'authorization':'string',
'Authorization':'API_KEY'
};
fetch('https://api.helplightning.net/api/v1/calls/{call_id}',
{
method: 'GET',
headers: headers
})
.then(function(res) {
return res.json();
}).then(function(body) {
console.log(body);
});
require 'rest-client'
require 'json'
headers = {
'Accept' => 'application/json',
'authorization' => 'string',
'Authorization' => 'API_KEY'
}
result = RestClient.get 'https://api.helplightning.net/api/v1/calls/{call_id}',
params: {
}, headers: headers
p JSON.parse(result)
import requests
headers = {
'Accept': 'application/json',
'authorization': 'string',
'Authorization': 'API_KEY'
}
r = requests.get('https://api.helplightning.net/api/v1/calls/{call_id}', headers = headers)
print(r.json())
<?php
require 'vendor/autoload.php';
$headers = array(
'Accept' => 'application/json',
'authorization' => 'string',
'Authorization' => 'API_KEY',
);
$client = new \GuzzleHttp\Client();
// Define array of request body.
$request_body = array();
try {
$response = $client->request('GET','https://api.helplightning.net/api/v1/calls/{call_id}', array(
'headers' => $headers,
'json' => $request_body,
)
);
print_r($response->getBody()->getContents());
}
catch (\GuzzleHttp\Exception\BadResponseException $e) {
// handle exception or api errors.
print_r($e->getMessage());
}
// ...
URL obj = new URL("https://api.helplightning.net/api/v1/calls/{call_id}");
HttpURLConnection con = (HttpURLConnection) obj.openConnection();
con.setRequestMethod("GET");
int responseCode = con.getResponseCode();
BufferedReader in = new BufferedReader(
new InputStreamReader(con.getInputStream()));
String inputLine;
StringBuffer response = new StringBuffer();
while ((inputLine = in.readLine()) != null) {
response.append(inputLine);
}
in.close();
System.out.println(response.toString());
package main
import (
"bytes"
"net/http"
)
func main() {
headers := map[string][]string{
"Accept": []string{"application/json"},
"authorization": []string{"string"},
"Authorization": []string{"API_KEY"},
}
data := bytes.NewBuffer([]byte{jsonReq})
req, err := http.NewRequest("GET", "https://api.helplightning.net/api/v1/calls/{call_id}", data)
req.Header = headers
client := &http.Client{}
resp, err := client.Do(req)
// ...
}
GET /v1/calls/{call_id}
Get a specific call for a user.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
| authorization | header | string | true | A user authorization token |
| call_id | path | string | true | The call ID |
Example responses
200 Response
{
"alt1_id": "string",
"alt2_id": "string",
"alt3_id": "string",
"callDuration": 0,
"dialderId": "string",
"dialer": {
"email": "string",
"enterpriseId": "string",
"id": "string",
"name": "string",
"username": "string"
},
"dialerName": "string",
"extra_info": "string",
"has_attachments": true,
"intraEnterpriseCall": true,
"owner_email": "string",
"owner_id": "string",
"owner_name": "string",
"participants": [
{
"email": "string",
"enterpriseId": "string",
"id": "string",
"isAnonymous": true,
"name": "string",
"username": "string"
}
],
"ratings": [
{
"participant_id": "string",
"rating": "string"
}
],
"reasonCallEnded": "string",
"receiver": {
"email": "string",
"enterpriseId": "string",
"id": "string",
"name": "string",
"username": "string"
},
"receiverId": "string",
"receiverName": "string",
"recordingError": "string",
"recordingStatus": "string",
"recordingUrl": "string",
"session": "string",
"tags": [
"string"
],
"timeCallEnded": 0,
"timeCallStarted": 0,
"timestamp": "string",
"workbox_id": 0,
"workbox_v2_id": 0
}
Responses
| Status | Meaning | Description | Schema |
|---|---|---|---|
| 200 | OK | The call | hermes_call |
| 401 | Unauthorized | Invalid token | string |
| 403 | Forbidden | Access Denied | string |
| 500 | Internal Server Error | Internal error | errorV1 |
PUT v1_calls{call_id}
Code samples
# You can also use wget
curl -X PUT https://api.helplightning.net/api/v1/calls/{call_id} \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'authorization: string' \
-H 'Authorization: API_KEY'
PUT https://api.helplightning.net/api/v1/calls/{call_id} HTTP/1.1
Host: api.helplightning.net
Content-Type: application/json
Accept: application/json
authorization: string
const inputBody = '{
"alt1_id": "string",
"alt2_id": "string",
"alt3_id": "string",
"extra_info": "string"
}';
const headers = {
'Content-Type':'application/json',
'Accept':'application/json',
'authorization':'string',
'Authorization':'API_KEY'
};
fetch('https://api.helplightning.net/api/v1/calls/{call_id}',
{
method: 'PUT',
body: inputBody,
headers: headers
})
.then(function(res) {
return res.json();
}).then(function(body) {
console.log(body);
});
require 'rest-client'
require 'json'
headers = {
'Content-Type' => 'application/json',
'Accept' => 'application/json',
'authorization' => 'string',
'Authorization' => 'API_KEY'
}
result = RestClient.put 'https://api.helplightning.net/api/v1/calls/{call_id}',
params: {
}, headers: headers
p JSON.parse(result)
import requests
headers = {
'Content-Type': 'application/json',
'Accept': 'application/json',
'authorization': 'string',
'Authorization': 'API_KEY'
}
r = requests.put('https://api.helplightning.net/api/v1/calls/{call_id}', headers = headers)
print(r.json())
<?php
require 'vendor/autoload.php';
$headers = array(
'Content-Type' => 'application/json',
'Accept' => 'application/json',
'authorization' => 'string',
'Authorization' => 'API_KEY',
);
$client = new \GuzzleHttp\Client();
// Define array of request body.
$request_body = array();
try {
$response = $client->request('PUT','https://api.helplightning.net/api/v1/calls/{call_id}', array(
'headers' => $headers,
'json' => $request_body,
)
);
print_r($response->getBody()->getContents());
}
catch (\GuzzleHttp\Exception\BadResponseException $e) {
// handle exception or api errors.
print_r($e->getMessage());
}
// ...
URL obj = new URL("https://api.helplightning.net/api/v1/calls/{call_id}");
HttpURLConnection con = (HttpURLConnection) obj.openConnection();
con.setRequestMethod("PUT");
int responseCode = con.getResponseCode();
BufferedReader in = new BufferedReader(
new InputStreamReader(con.getInputStream()));
String inputLine;
StringBuffer response = new StringBuffer();
while ((inputLine = in.readLine()) != null) {
response.append(inputLine);
}
in.close();
System.out.println(response.toString());
package main
import (
"bytes"
"net/http"
)
func main() {
headers := map[string][]string{
"Content-Type": []string{"application/json"},
"Accept": []string{"application/json"},
"authorization": []string{"string"},
"Authorization": []string{"API_KEY"},
}
data := bytes.NewBuffer([]byte{jsonReq})
req, err := http.NewRequest("PUT", "https://api.helplightning.net/api/v1/calls/{call_id}", data)
req.Header = headers
client := &http.Client{}
resp, err := client.Do(req)
// ...
}
PUT /v1/calls/{call_id}
Update some properties of a call
Body parameter
{
"alt1_id": "string",
"alt2_id": "string",
"alt3_id": "string",
"extra_info": "string"
}
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
| authorization | header | string | true | A user authorization token |
| call_id | path | string | true | Call ID |
| body | body | object | true | none |
| » alt1_id | body | string | false | Alternate ID 1 (limited to 512 characters) |
| » alt2_id | body | string | false | Alternate ID 2 (limited to 512 characters) |
| » alt3_id | body | string | false | Alternate ID 3 (limited to 512 characters) |
| » extra_info | body | string | false | Extra Blob of data |
Example responses
200 Response
"string"
Responses
| Status | Meaning | Description | Schema |
|---|---|---|---|
| 200 | OK | Success | string |
| 401 | Unauthorized | Could not find resource or you do not have access to the resource. | errorV1 |
| 500 | Internal Server Error | Internal error | errorV1 |
GET v1_calls{call_id}_event_stream
Code samples
# You can also use wget
curl -X GET https://api.helplightning.net/api/v1/calls/{call_id}/event_stream \
-H 'Accept: application/json' \
-H 'authorization: string' \
-H 'Authorization: API_KEY'
GET https://api.helplightning.net/api/v1/calls/{call_id}/event_stream HTTP/1.1
Host: api.helplightning.net
Accept: application/json
authorization: string
const headers = {
'Accept':'application/json',
'authorization':'string',
'Authorization':'API_KEY'
};
fetch('https://api.helplightning.net/api/v1/calls/{call_id}/event_stream',
{
method: 'GET',
headers: headers
})
.then(function(res) {
return res.json();
}).then(function(body) {
console.log(body);
});
require 'rest-client'
require 'json'
headers = {
'Accept' => 'application/json',
'authorization' => 'string',
'Authorization' => 'API_KEY'
}
result = RestClient.get 'https://api.helplightning.net/api/v1/calls/{call_id}/event_stream',
params: {
}, headers: headers
p JSON.parse(result)
import requests
headers = {
'Accept': 'application/json',
'authorization': 'string',
'Authorization': 'API_KEY'
}
r = requests.get('https://api.helplightning.net/api/v1/calls/{call_id}/event_stream', headers = headers)
print(r.json())
<?php
require 'vendor/autoload.php';
$headers = array(
'Accept' => 'application/json',
'authorization' => 'string',
'Authorization' => 'API_KEY',
);
$client = new \GuzzleHttp\Client();
// Define array of request body.
$request_body = array();
try {
$response = $client->request('GET','https://api.helplightning.net/api/v1/calls/{call_id}/event_stream', array(
'headers' => $headers,
'json' => $request_body,
)
);
print_r($response->getBody()->getContents());
}
catch (\GuzzleHttp\Exception\BadResponseException $e) {
// handle exception or api errors.
print_r($e->getMessage());
}
// ...
URL obj = new URL("https://api.helplightning.net/api/v1/calls/{call_id}/event_stream");
HttpURLConnection con = (HttpURLConnection) obj.openConnection();
con.setRequestMethod("GET");
int responseCode = con.getResponseCode();
BufferedReader in = new BufferedReader(
new InputStreamReader(con.getInputStream()));
String inputLine;
StringBuffer response = new StringBuffer();
while ((inputLine = in.readLine()) != null) {
response.append(inputLine);
}
in.close();
System.out.println(response.toString());
package main
import (
"bytes"
"net/http"
)
func main() {
headers := map[string][]string{
"Accept": []string{"application/json"},
"authorization": []string{"string"},
"Authorization": []string{"API_KEY"},
}
data := bytes.NewBuffer([]byte{jsonReq})
req, err := http.NewRequest("GET", "https://api.helplightning.net/api/v1/calls/{call_id}/event_stream", data)
req.Header = headers
client := &http.Client{}
resp, err := client.Do(req)
// ...
}
GET /v1/calls/{call_id}/event_stream
Get the event stream for a specific call.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
| authorization | header | string | true | A user authorization token |
| call_id | path | string | true | The call ID |
Example responses
200 Response
{
"data": {
"from": {
"avatar": {
"original": "string",
"thumb": "string"
},
"id": 0,
"name": "string"
},
"is_group": true,
"reason": "string",
"to": {
"avatar": {
"original": "string",
"thumb": "string"
},
"id": 0,
"name": "string"
},
"call_id": "string",
"event_type": "call_started",
"participant": {
"avatar": {
"original": "string",
"thumb": "string"
},
"id": 0,
"name": "string"
},
"message": "string",
"creator": {
"avatar": {
"original": "string",
"thumb": "string"
},
"id": 0,
"name": "string"
},
"deleted": true,
"id": 0,
"mime_type": "string",
"name": "string",
"path": "string",
"progress": 0,
"signed_url": "string",
"status": "unknown",
"thumbnail": "string",
"timestamp": 0,
"type": "string"
},
"datetime": "2019-08-24T14:15:22Z",
"type": "request"
}
Responses
| Status | Meaning | Description | Schema |
|---|---|---|---|
| 200 | OK | The call events | call_event_stream |
| 401 | Unauthorized | Invalid token | string |
| 403 | Forbidden | Access Denied | string |
| 500 | Internal Server Error | Internal error | errorV1 |
GET v1_calls{call_id}_events
Code samples
# You can also use wget
curl -X GET https://api.helplightning.net/api/v1/calls/{call_id}/events \
-H 'Accept: application/json' \
-H 'authorization: string' \
-H 'Authorization: API_KEY'
GET https://api.helplightning.net/api/v1/calls/{call_id}/events HTTP/1.1
Host: api.helplightning.net
Accept: application/json
authorization: string
const headers = {
'Accept':'application/json',
'authorization':'string',
'Authorization':'API_KEY'
};
fetch('https://api.helplightning.net/api/v1/calls/{call_id}/events',
{
method: 'GET',
headers: headers
})
.then(function(res) {
return res.json();
}).then(function(body) {
console.log(body);
});
require 'rest-client'
require 'json'
headers = {
'Accept' => 'application/json',
'authorization' => 'string',
'Authorization' => 'API_KEY'
}
result = RestClient.get 'https://api.helplightning.net/api/v1/calls/{call_id}/events',
params: {
}, headers: headers
p JSON.parse(result)
import requests
headers = {
'Accept': 'application/json',
'authorization': 'string',
'Authorization': 'API_KEY'
}
r = requests.get('https://api.helplightning.net/api/v1/calls/{call_id}/events', headers = headers)
print(r.json())
<?php
require 'vendor/autoload.php';
$headers = array(
'Accept' => 'application/json',
'authorization' => 'string',
'Authorization' => 'API_KEY',
);
$client = new \GuzzleHttp\Client();
// Define array of request body.
$request_body = array();
try {
$response = $client->request('GET','https://api.helplightning.net/api/v1/calls/{call_id}/events', array(
'headers' => $headers,
'json' => $request_body,
)
);
print_r($response->getBody()->getContents());
}
catch (\GuzzleHttp\Exception\BadResponseException $e) {
// handle exception or api errors.
print_r($e->getMessage());
}
// ...
URL obj = new URL("https://api.helplightning.net/api/v1/calls/{call_id}/events");
HttpURLConnection con = (HttpURLConnection) obj.openConnection();
con.setRequestMethod("GET");
int responseCode = con.getResponseCode();
BufferedReader in = new BufferedReader(
new InputStreamReader(con.getInputStream()));
String inputLine;
StringBuffer response = new StringBuffer();
while ((inputLine = in.readLine()) != null) {
response.append(inputLine);
}
in.close();
System.out.println(response.toString());
package main
import (
"bytes"
"net/http"
)
func main() {
headers := map[string][]string{
"Accept": []string{"application/json"},
"authorization": []string{"string"},
"Authorization": []string{"API_KEY"},
}
data := bytes.NewBuffer([]byte{jsonReq})
req, err := http.NewRequest("GET", "https://api.helplightning.net/api/v1/calls/{call_id}/events", data)
req.Header = headers
client := &http.Client{}
resp, err := client.Do(req)
// ...
}
GET /v1/calls/{call_id}/events
Get the events for a specific call.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
| authorization | header | string | true | A user authorization token |
| call_id | path | string | true | The call ID |
Example responses
200 Response
{
"call": {
"callDuration": 0,
"callId": "string",
"dialerId": "string",
"dialerName": "string",
"galdrSession": "string",
"intraEnterpriseCall": true,
"lastEvaluatedTimestamp": 0,
"openTokSession": "string",
"participants": [
{
"email": "string",
"enterpriseId": "string",
"id": "string",
"isAnonymous": true,
"name": "string",
"username": "string"
}
],
"reasonCallEnded": "string",
"receiverId": "string",
"receiverName": "string",
"recordingBucket": "string",
"recordingError": "string",
"recordingPath": "string",
"recordingStatus": "string",
"session": "string",
"timeCallEnded": 0,
"timeCallStarted": 0,
"timestamp": 0
},
"error": true,
"stats": {
"overallQuality": 0,
"participantStats": [
{
"ended": {
"appVersion": "string",
"deviceType": "string",
"deviceVersion": "string",
"networkType": "string",
"reason": "string",
"timestamp": 0
},
"enterpriseId": "string",
"id": "string",
"isDialer": true,
"name": "string",
"network": {
"avgQuality": 0,
"avgResult": "string",
"bandwidth": [
{
"audio": 0,
"result": "string",
"timestamp": 0,
"video": 0
}
],
"packetLoss": [
{
"audio": 0,
"result": "string",
"timestamp": 0,
"video": 0
}
]
},
"started": {
"appVersion": "string",
"deviceType": "string",
"deviceVersion": "string",
"networkType": "string",
"timestamp": 0
}
}
],
"session": "string",
"timestamp": 0
}
}
Responses
| Status | Meaning | Description | Schema |
|---|---|---|---|
| 200 | OK | The call events | hermes_call_event |
| 401 | Unauthorized | Invalid token | string |
| 403 | Forbidden | Access Denied | string |
| 500 | Internal Server Error | Internal error | errorV1 |
GET _v1_on_call_groups
Code samples
# You can also use wget
curl -X GET https://api.helplightning.net/api/v1/on_call_groups \
-H 'Accept: application/json' \
-H 'authorization: string' \
-H 'Authorization: API_KEY'
GET https://api.helplightning.net/api/v1/on_call_groups HTTP/1.1
Host: api.helplightning.net
Accept: application/json
authorization: string
const headers = {
'Accept':'application/json',
'authorization':'string',
'Authorization':'API_KEY'
};
fetch('https://api.helplightning.net/api/v1/on_call_groups',
{
method: 'GET',
headers: headers
})
.then(function(res) {
return res.json();
}).then(function(body) {
console.log(body);
});
require 'rest-client'
require 'json'
headers = {
'Accept' => 'application/json',
'authorization' => 'string',
'Authorization' => 'API_KEY'
}
result = RestClient.get 'https://api.helplightning.net/api/v1/on_call_groups',
params: {
}, headers: headers
p JSON.parse(result)
import requests
headers = {
'Accept': 'application/json',
'authorization': 'string',
'Authorization': 'API_KEY'
}
r = requests.get('https://api.helplightning.net/api/v1/on_call_groups', headers = headers)
print(r.json())
<?php
require 'vendor/autoload.php';
$headers = array(
'Accept' => 'application/json',
'authorization' => 'string',
'Authorization' => 'API_KEY',
);
$client = new \GuzzleHttp\Client();
// Define array of request body.
$request_body = array();
try {
$response = $client->request('GET','https://api.helplightning.net/api/v1/on_call_groups', array(
'headers' => $headers,
'json' => $request_body,
)
);
print_r($response->getBody()->getContents());
}
catch (\GuzzleHttp\Exception\BadResponseException $e) {
// handle exception or api errors.
print_r($e->getMessage());
}
// ...
URL obj = new URL("https://api.helplightning.net/api/v1/on_call_groups");
HttpURLConnection con = (HttpURLConnection) obj.openConnection();
con.setRequestMethod("GET");
int responseCode = con.getResponseCode();
BufferedReader in = new BufferedReader(
new InputStreamReader(con.getInputStream()));
String inputLine;
StringBuffer response = new StringBuffer();
while ((inputLine = in.readLine()) != null) {
response.append(inputLine);
}
in.close();
System.out.println(response.toString());
package main
import (
"bytes"
"net/http"
)
func main() {
headers := map[string][]string{
"Accept": []string{"application/json"},
"authorization": []string{"string"},
"Authorization": []string{"API_KEY"},
}
data := bytes.NewBuffer([]byte{jsonReq})
req, err := http.NewRequest("GET", "https://api.helplightning.net/api/v1/on_call_groups", data)
req.Header = headers
client := &http.Client{}
resp, err := client.Do(req)
// ...
}
GET /v1/on_call_groups
List of on call groups visible to the user
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
| authorization | header | string | true | A user authorization token |
| order | query | string | false | Orders returned resource list using ordered list of keys. |
| filter | query | string | false | Filters resources based on key, value and an inequality |
| page | query | integer(int32) | false | none |
| page_size | query | integer(int32) | false | none |
Example responses
200 Response
{
"entries": [
{
"avatar": "string",
"description": "string",
"enterprise_id": 0,
"favorite": true,
"id": 0,
"name": "string",
"on_call_group": true
}
],
"page": 0,
"page_size": 0,
"total_entries": 0,
"total_pages": 0
}
Responses
| Status | Meaning | Description | Schema |
|---|---|---|---|
| 200 | OK | Success | on_call_groups |
| 401 | Unauthorized | Could not find resource or you do not have access to the resource. | errorV1 |
| 500 | Internal Server Error | Internal error | errorV1 |
DELETE v1_on_call_groups{group_id}_favorites
Code samples
# You can also use wget
curl -X DELETE https://api.helplightning.net/api/v1/on_call_groups/{group_id}/favorites \
-H 'Accept: application/json' \
-H 'authorization: string' \
-H 'Authorization: API_KEY'
DELETE https://api.helplightning.net/api/v1/on_call_groups/{group_id}/favorites HTTP/1.1
Host: api.helplightning.net
Accept: application/json
authorization: string
const headers = {
'Accept':'application/json',
'authorization':'string',
'Authorization':'API_KEY'
};
fetch('https://api.helplightning.net/api/v1/on_call_groups/{group_id}/favorites',
{
method: 'DELETE',
headers: headers
})
.then(function(res) {
return res.json();
}).then(function(body) {
console.log(body);
});
require 'rest-client'
require 'json'
headers = {
'Accept' => 'application/json',
'authorization' => 'string',
'Authorization' => 'API_KEY'
}
result = RestClient.delete 'https://api.helplightning.net/api/v1/on_call_groups/{group_id}/favorites',
params: {
}, headers: headers
p JSON.parse(result)
import requests
headers = {
'Accept': 'application/json',
[...]
